const users = require('./users')
const collections = require('./collections')
const { heTeamID } = require('./teamIDs')

const { collection } = collections
const { handlingEditor } = users
const teams = {
  heTeam: {
    teamType: {
      name: 'handlingEditor',
      permissions: 'handlingEditor',
    },
    group: 'handlingEditor',
    name: 'HandlingEditor',
    object: {
      type: 'collection',
      id: collection.id,
    },
    members: [handlingEditor.id],
    save: jest.fn(() => teams.heTeam),
    updateProperties: jest.fn(() => teams.heTeam),
    id: heTeamID,
  },
}
module.exports = teams
